%define prefix /usr
%define name imageshack_upload
%define name1 imageshack
%define version 0.5
%define release %mkrel 3
%define summary A service menu tor upload images on Imageshack.
%define title Imageshack-upload
%define url http://kde-apps.de/content/show.php/Host+on+Imageshack?content=51247
%define arch noarch
%define group Graphical desktop/KDE4


Name		: %{name}
Summary		: %{summary}
Version		: %{version}
Release		: %{release}
URL		: %{url}
Group		: %{group}
BuildRoot	: %_tmppath/%{name}-%{version}-%{release}
Source0		: %{name}-%{version}.tar.xz
License		: GPL2
BuildArch	: %{arch}
Requires	: xterm

%description
A service menu tor upload images on Imageshack.

0.2 version uses a log file in which saves images' name and url. Therefore, when you want upload an already hosted image, script get directly the url.
The tarball contains the .desktop file, the original script and an icon (modified version of Azureus' icon :-P ).

%description -l de
Ein Service-Menü über welches man Bilder zu Imageshack hochladen kann.

Seit Version 0.2 benutzt eine Log-Datei, in der Namen und URL der Bilder speichert werden. Wenn du ein bereits Hochgeladenes Bild wünschst, erkennt der erhalten Index direkt die URL. Das tarball enthält eine .desktop Datei, den ursprünglichen Index und ein Icon (geänderte Version von Icon Azureus: - P).

%prep
rm -rf %{buildroot} 
rm -rf $RPM_BUILD_ROOT

%setup

%install
install -d -m 0755 %{buildroot}/{%{_bindir},%{_datadir}/apps/konqueror/servicemenus/}
install -m 0755 $RPM_BUILD_DIR/%{name}-%{version}/%{name} %{buildroot}%{_bindir}/%{name}
install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/%{name1}.desktop %{buildroot}/%{_datadir}/apps/konqueror/servicemenus/%{name1}.desktop

# Icons for rpmlint
mkdir -p %{buildroot}/{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
convert $RPM_BUILD_DIR/%{name}-%{version}/%{name1}.png -geometry 16x16 %{buildroot}/%{_miconsdir}/%{name1}.png
convert $RPM_BUILD_DIR/%{name}-%{version}/%{name1}.png -geometry 32x32 %{buildroot}/%{_iconsdir}/%{name1}.png
convert $RPM_BUILD_DIR/%{name}-%{version}/%{name1}.png -geometry 48x48 %{buildroot}/%{_liconsdir}/%{name1}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}
rm -rf %{_tmppath}/%{name}-%{version}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/apps/konqueror/servicemenus/%{name1}.desktop
%{_miconsdir}/*
%{_iconsdir}/*
%{_liconsdir}/*

%changelog
* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.5.1-2pclos2010
- rebuild for 4.5.1


* Mon Nov 19 2007 maik3531 <maik3531@web.de> 0.5.1-1pclos2009
- first build
